picard.sam

## Class SetNmMdAndUqTags

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.sam.SetNmMdAndUqTags

- Direct Known Subclasses:
    SetNmAndUqTags

      public class SetNmMdAndUqTags
      extends CommandLineProgram

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `INPUT`
    `boolean` | `IS_BISULFITE_SEQUENCE`
    `File` | `OUTPUT`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetNmMdAndUqTags()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String[]` | `customCommandLineValidation()` Put any custom command-line validation in an override of this method.
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] argv)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(doc="The BAM or SAM file to fix.",
                  shortName="I")
          public File INPUT

    - #### OUTPUT

          @Option(doc="The fixed BAM or SAM output file. ",
                  shortName="O")
          public File OUTPUT

    - #### IS_BISULFITE_SEQUENCE

          @Option(doc="Whether the file contains bisulfite sequence (used when calculating the NM tag).")
          public boolean IS_BISULFITE_SEQUENCE

  - ### Constructor Detail

    - #### SetNmMdAndUqTags

          public SetNmMdAndUqTags()

  - ### Method Detail

    - #### customCommandLineValidation

          protected String[] customCommandLineValidation()

      Description copied from class: `CommandLineProgram`
      Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.
      Overrides:
        `customCommandLineValidation` in class `CommandLineProgram`
      Returns:
        null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

    - #### main

          public static void main(String[] argv)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.